igeo

## Class IErr

- java.lang.Object
- - igeo.IErr

-     public class IErr
      extends java.lang.Object

  A class to provide default static error output stream.
  Author:
    Satoru Sugihara
  See Also:
    `IOut`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `enabled`
    `static java.lang.String` | `errPrefix`
    `static boolean` | `printPrefix`
    `static java.io.PrintStream` | `ps`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IErr()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `disablePrefix()`
    `static void` | `disablePrint()`
    `static void` | `enablePrefix()`
    `static void` | `enablePrint()`
    `static void` | `flush()`
    `static java.io.PrintStream` | `get()`
    `static void` | `p()`
    `static void` | `p(java.lang.Object str)`
    `static void` | `print(boolean str)`
    `static void` | `print(char str)`
    `static void` | `print(char[] str)`
    `static void` | `print(double str)`
    `static void` | `print(float str)`
    `static void` | `print(int str)`
    `static void` | `print(long str)`
    `static void` | `print(java.lang.Object str)`
    `static void` | `print(java.lang.String str)`
    `static void` | `println()`
    `static void` | `println(boolean str)`
    `static void` | `println(char str)`
    `static void` | `println(char[] str)`
    `static void` | `println(double str)`
    `static void` | `println(float str)`
    `static void` | `println(int str)`
    `static void` | `println(long str)`
    `static void` | `println(java.lang.Object str)`
    `static void` | `println(java.lang.String str)`
    `static void` | `printStack()`
    `static void` | `setStream(java.io.PrintStream pstr)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ps

          public static java.io.PrintStream ps

    - #### printPrefix

          public static boolean printPrefix

    - #### enabled

          public static boolean enabled

    - #### errPrefix

          public static java.lang.String errPrefix

  - ### Constructor Detail

    - #### IErr

          public IErr()

  - ### Method Detail

    - #### setStream

          public static void setStream(java.io.PrintStream pstr)

    - #### enablePrefix

          public static void enablePrefix()

    - #### disablePrefix

          public static void disablePrefix()

    - #### enablePrint

          public static void enablePrint()

    - #### disablePrint

          public static void disablePrint()

    - #### p

          public static void p(java.lang.Object str)

    - #### p

          public static void p()

    - #### printStack

          public static void printStack()

    - #### println

          public static void println(java.lang.Object str)

    - #### println

          public static void println(boolean str)

    - #### println

          public static void println(char str)

    - #### println

          public static void println(char[] str)

    - #### println

          public static void println(double str)

    - #### println

          public static void println(float str)

    - #### println

          public static void println(int str)

    - #### println

          public static void println(long str)

    - #### println

          public static void println(java.lang.String str)

    - #### println

          public static void println()

    - #### print

          public static void print(java.lang.Object str)

    - #### print

          public static void print(boolean str)

    - #### print

          public static void print(char str)

    - #### print

          public static void print(char[] str)

    - #### print

          public static void print(double str)

    - #### print

          public static void print(float str)

    - #### print

          public static void print(int str)

    - #### print

          public static void print(long str)

    - #### print

          public static void print(java.lang.String str)

    - #### flush

          public static void flush()

    - #### get

          public static java.io.PrintStream get()